gi-pango-1.0.19: Pango bindings

Copyright | Will Thompson Iñaki García Etxebarria and Jonas Platte
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria (garetxe@gmail.com)
Safe Haskell | None
Language | Haskell2010

GI.Pango.Structs.ScriptIter

Contents

- Exported types
- Methods
  - free
  - getRange
  - next

Description

A `ScriptIter` is used to iterate through a string and identify ranges in different scripts.

Synopsis

- newtype ScriptIter = ScriptIter (ManagedPtr ScriptIter)
- noScriptIter :: Maybe ScriptIter
- scriptIterFree :: (HasCallStack, MonadIO m) => ScriptIter -> m ()
- scriptIterGetRange :: (HasCallStack, MonadIO m) => ScriptIter -> m (Text, Text, Script)
- scriptIterNext :: (HasCallStack, MonadIO m) => ScriptIter -> m Bool

# Exported types

newtype ScriptIter Source #

Memory-managed wrapper type.

Constructors

ScriptIter (ManagedPtr ScriptIter) |

Instances

WrappedPtr ScriptIter Source # |
Instance details Defined in GI.Pango.Structs.ScriptIter Methods wrappedPtrCalloc :: IO (Ptr ScriptIter) Source # wrappedPtrCopy :: ScriptIter -> IO ScriptIter Source # wrappedPtrFree :: Maybe (FunPtr (Ptr ScriptIter -> IO ())) Source #

noScriptIter :: Maybe ScriptIter Source #

A convenience alias for `Nothing` :: `Maybe` `ScriptIter`.

# Methods

## free

scriptIterFree Source #

Arguments

:: (HasCallStack, MonadIO m) |
=> ScriptIter | `iter`: a `ScriptIter`
-> m () |

Frees a `ScriptIter` created with `pango_script_iter_new()`.

Since: 1.4

## getRange

scriptIterGetRange Source #

Arguments

:: (HasCallStack, MonadIO m) |
=> ScriptIter | `iter`: a `ScriptIter`
-> m (Text, Text, Script) |

Gets information about the range to which `iter` currently points. The range is the set of locations p where *start <= p < *end. (That is, it doesn't include the character stored at *end)

Since: 1.4

## next

scriptIterNext Source #

Arguments

:: (HasCallStack, MonadIO m) |
=> ScriptIter | `iter`: a `ScriptIter`
-> m Bool | Returns: `True` if `iter` was successfully advanced.

Advances a `ScriptIter` to the next range. If `iter` is already at the end, it is left unchanged and `False` is returned.

Since: 1.4